## lua-filesystem 1.3.0

=== Makefile ===
# $Id: Makefile,v 1.30 2007/06/07 01:28:08 tomas Exp $

T= lfs
V= 1.3.0
CONFIG= ./config

include $(CONFIG)

SRCS= src/$T.c
OBJS= src/$T.o

lib: src/$(LIBNAME)

src/$(LIBNAME): $(OBJS)
	export MACOSX_DEPLOYMENT_TARGET="10.3"; $(CC) $(CFLAGS) $(LIB_OPTION) -o src/$(LIBNAME) $(OBJS)

install: src/$(LIBNAME)
	mkdir -p $(LUA_LIBDIR)
	cp src/$(LIBNAME) $(LUA_LIBDIR)
	cd $(LUA_LIBDIR); ln -f -s $(LIBNAME) $T.so

clean:
	rm -f src/$(LIBNAME) $(OBJS)

## lua-filesystem 1.5.0

=== debian/changelog ===
lua-filesystem (1.5.0-2) unstable; urgency=low

  * Multi-Arch compliant (build-depends lua5.1-policy >= 32, dh >= 8.1.3)
  * Bumped standards-version to 3.9.2, no changes needed 

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 20 Jul 2011 21:55:04 +0200

lua-filesystem (1.5.0-1) unstable; urgency=low

  * new upstream release (backward compatible)
  * fixed watch file
  * updated homepage URL
  * source format 3.0 (quilt) 
  * standards-version 3.9.0
  * added patch for luatex (Closes: #605270)
  * updated copyright (years)

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 17 Feb 2011 19:11:38 +0100

lua-filesystem (1.4.2-3) unstable; urgency=low

  * added umask.dpatch, taken from the upstream (Closes: #562627) 
  * removed unused patches 

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 01 Feb 2010 17:09:15 +0100

lua-filesystem (1.4.2-2) unstable; urgency=low

  * bumped standards-version to 3.8.2, no changes needed
  * build-depend on lua5.1-policy-dev >= 22

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 21 Jul 2009 15:32:30 +0200

lua-filesystem (1.4.2-1) unstable; urgency=low

  * new upstream bugfix release
  * standards-version bumped to 3.8.1
  * lua -> Lua in packages description 

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 23 Mar 2009 11:16:58 +0100

lua-filesystem (1.4.1-1) unstable; urgency=low

  * new upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 09 May 2008 10:55:32 +0200

lua-filesystem (1.4.1~rc1-1) unstable; urgency=low

  * new upstream release candidate

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 19 Apr 2008 15:24:33 +0200

lua-filesystem (1.4.0-1) unstable; urgency=low

  * New upstream release
  * Bumped standards-version to 3.7.3, no changes needed
  * Added Vcs-Browser

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 14 Feb 2008 10:06:29 +0100

lua-filesystem (1.3.0-1) unstable; urgency=low

  * New upstream release, no API change since only one function has been added
    a none removed/changed.
  * Renamed cdbs deprecated variable.
  * Added Homepage filed in control file and removed custom homepage metadata
    in packages description.

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 27 Oct 2007 13:29:24 +0200

lua-filesystem (1.2.1-1) unstable; urgency=low

  * Moved to policy 10 that fixes the clean target (Closes: #424553)
  * New upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 16 May 2007 18:20:11 +0200

lua-filesystem (1.2-4) unstable; urgency=low

  * made control file binNMU safe
  * Added a note about the documentation shipped within the -dev package
    in the control file
  * Added call to lua5.1-policy-apple --reverse in hook clean::

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 13 Oct 2006 13:31:52 +0200

lua-filesystem (1.2-3) unstable; urgency=low

  * added XS-X-Vcs-svn to control file.

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 10 Sep 2006 14:44:31 +0200

lua-filesystem (1.2-2) unstable; urgency=low

  * Fixed a typo in control file.

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 10 Sep 2006 14:29:45 +0200

lua-filesystem (1.2-1) unstable; urgency=low

  * Initial release. (Closes: #384496)

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 24 Aug 2006 17:34:29 +0200

=== debian/control ===
Source: lua-filesystem
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 8.1.3), lua5.1-policy-dev (>= 32)
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-filesystem
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-filesystem
Homepage: http://keplerproject.github.com/luafilesystem/

Package: liblua5.1-filesystem0
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: luafilesystem library for the Lua language version 5.1
 This package contains the luafilesystem library, a set of portable functions
 for directory creation, listing and deletion and for file locking.

Package: liblua5.1-filesystem-dev
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Section: libdevel
Depends: liblua5.1-filesystem0 (= ${binary:Version}), ${misc:Depends}
Description: luafilesystem development files for the Lua language version 5.1
 This package contains the development files of the luafilesystem library,
 useful to create a statically linked binary (like a C application or a
 standalone Lua interpreter).
 Documentation is also shipped within this package.

## lua-filesystem 1.5.0+16+g84f1af5

=== debian/changelog ===
lua-filesystem (1.5.0+16+g84f1af5-1) unstable; urgency=low

  * New upstream snapshot including:
    -  the lua5.2 patch, now removed from debian/patches
    -  the "permissions" patch, now removed from debian/patches

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 28 Apr 2012 11:57:22 +0200

lua-filesystem (1.5.0+15+g149e0fb-1) experimental; urgency=low

  * Upstream snapshot supporting lua 5.2
  * Moved from cdbs to dh + dh-lua
  * debian/compat to 8
  * Bumped standards-version to 3.9.3, no changes needed
  * Packages renamed according to new lua policy
  * Removed debian/patch/umask, applied upstream
  * New patch debian/patch/lua5.2.patch to fix last remaining
    glitches for lua5.2

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 08 Apr 2012 17:38:47 +0200

=== debian/control ===
Source: lua-filesystem
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 8.1.3), dh-lua
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-filesystem
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-filesystem
Homepage: http://keplerproject.github.com/luafilesystem/

Package: lua-filesystem
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: liblua5.1-filesystem0 (<< 1.5.0+15+g149e0fb-1)
Breaks: liblua5.1-filesystem0 (<< 1.5.0+15+g149e0fb-1)
Provides: liblua5.1-filesystem0, ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: luafilesystem library for the Lua language
 This package contains the luafilesystem library, a set of portable functions
 for directory creation, listing and deletion and for file locking.

Package: lua-filesystem-dev
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Section: libdevel
Depends: lua-filesystem (= ${binary:Version}), ${misc:Depends}
Replaces: liblua5.1-filesystem-dev (<< 1.5.0+15+g149e0fb-1~)
Breaks: liblua5.1-filesystem-dev (<< 1.5.0+15+g149e0fb-1~)
Provides: liblua5.1-filesystem-dev, ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: luafilesystem development files for the Lua language
 This package contains the development files of the luafilesystem library,
 useful to create a statically linked binary (like a C application or a
 standalone Lua interpreter).
 Documentation is also shipped within this package.

Package: liblua5.1-filesystem0
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-filesystem
Description: Transitional package for lua-filesystem
 This is a transitional package to ease upgrades to the lua-filesystem
 package. It can safely be removed.

Package: liblua5.1-filesystem-dev
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-filesystem-dev
Description: Transitional package for lua-filesystem-dev
 This is a transitional package to ease upgrades to the lua-filesystem-dev
 package. It can safely be removed.

## lua-filesystem 1.6.2

=== debian/changelog ===
lua-filesystem (1.6.2-1) unstable; urgency=low

  * New upstream release
  * Removing transitional packages 
  * Packaging moved to git

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 28 Apr 2012 12:03:05 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
 Build-Depends: debhelper (>= 8.1.3), dh-lua
 Standards-Version: 3.9.3
-Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-filesystem
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-filesystem
-Homepage: http://keplerproject.github.com/luafilesystem/
+Homepage: https://github.com/keplerproject/luafilesystem
+Vcs-Git: git://git.debian.org/git/pkg-lua/lua-filesystem.git
+Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua-filesystem.git
 
 Package: lua-filesystem
 Architecture: any
@@ -36,22 +36,3 @@
  useful to create a statically linked binary (like a C application or a
  standalone Lua interpreter).
  Documentation is also shipped within this package.
-
-Package: liblua5.1-filesystem0
-Section: oldlibs
-Priority: extra
-Architecture: all
-Depends: ${misc:Depends}, lua-filesystem
-Description: Transitional package for lua-filesystem
- This is a transitional package to ease upgrades to the lua-filesystem
- package. It can safely be removed.
-
-Package: liblua5.1-filesystem-dev
-Section: oldlibs
-Priority: extra
-Architecture: all
-Depends: ${misc:Depends}, lua-filesystem-dev
-Description: Transitional package for lua-filesystem-dev
- This is a transitional package to ease upgrades to the lua-filesystem-dev
- package. It can safely be removed.
-

## lua-filesystem 1.6.3

=== debian/changelog ===
lua-filesystem (1.6.3-1) unstable; urgency=medium

  * New upstream release with 5.3 support
  * use ${misc:Pre-Depends}
  * Remove transitional packages leftover 
  * Build-Depend on dh-lua >= 21 to pull in Lua 5.3 
  * Bump Standards-Version, no change 

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 14 Aug 2015 22:07:16 +0200

lua-filesystem (1.6.2-3) unstable; urgency=medium

  * Rebuild against Lua 5.1.5-7 (Closes: #723489)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 30 Aug 2014 21:54:51 +0200

lua-filesystem (1.6.2-2) unstable; urgency=medium

  * Path to fix FTBFS on hurd (thanks Svante Signell) (Closes: #758890) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 24 Aug 2014 11:23:40 +0200

=== debian/control ===
Source: lua-filesystem
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 8.1.3), dh-lua (>= 21)
Standards-Version: 3.9.6
Homepage: https://github.com/keplerproject/luafilesystem
Vcs-Git: git://git.debian.org/git/pkg-lua/lua-filesystem.git
Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua-filesystem.git

Package: lua-filesystem
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: luafilesystem library for the Lua language
 This package contains the luafilesystem library, a set of portable functions
 for directory creation, listing and deletion and for file locking.

Package: lua-filesystem-dev
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libdevel
Depends: lua-filesystem (= ${binary:Version}), ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: luafilesystem development files for the Lua language
 This package contains the development files of the luafilesystem library,
 useful to create a statically linked binary (like a C application or a
 standalone Lua interpreter).
 Documentation is also shipped within this package.

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package luafilesystem
#
version=3
http://githubredir.debian.net/github/keplerproject/luafilesystem/ v(\d+\.\d+\.\d+).tar.gz

## lua-filesystem 1.7.0

=== Makefile ===
# $Id: Makefile,v 1.36 2009/09/21 17:02:44 mascarenhas Exp $

T= lfs

CONFIG= ./config

include $(CONFIG)

SRCS= src/$T.c
OBJS= src/$T.o

lib: src/lfs.so

src/lfs.so: $(OBJS)
	MACOSX_DEPLOYMENT_TARGET="10.3"; export MACOSX_DEPLOYMENT_TARGET; $(CC) $(LIB_OPTION) -o src/lfs.so $(OBJS)

test: lib
	LUA_CPATH=./src/?.so lua tests/test.lua

install:
	mkdir -p $(LUA_LIBDIR)
	cp src/lfs.so $(LUA_LIBDIR)

clean:
	rm -f src/lfs.so $(OBJS)

## lua-filesystem 1.7.0-2

=== debian/changelog ===
lua-filesystem (1.7.0-2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/copyright: Switch to copyright-format 1.0
  * Refresh 0001-fix-MAXPATHLEN-on-hurd.patch
  * Point Vcs-* to Salsa
  * Bump up to debhelper compat 11
  * Set Rules-Requires-Root to no
  * Declare compliance with Policy 4.4.1, no changes needed
  * Add standard dh-lua based autopkgtest

 -- James McCoy <jamessan@debian.org>  Mon, 28 Oct 2019 22:25:10 -0400

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: interpreters
 Priority: optional
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
-Build-Depends: debhelper (>= 8.1.3), dh-lua (>= 21)
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 11~), dh-lua (>= 21)
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://github.com/keplerproject/luafilesystem
-Vcs-Git: git://git.debian.org/git/pkg-lua/lua-filesystem.git
-Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua-filesystem.git
+Vcs-Git: https://salsa.debian.org/lua-team/lua-filesystem.git
+Vcs-Browser: https://salsa.debian.org/pkg-lua/lua-filesystem
 
 Package: lua-filesystem
 Architecture: any

## lua-filesystem 1.8.0

=== debian/changelog ===
lua-filesystem (1.8.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    + Lua 5.4 support
  * Declare compliance with Policy 4.5.0, no changes needed

 -- James McCoy <jamessan@debian.org>  Tue, 01 Sep 2020 23:19:07 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
 Build-Depends: debhelper (>= 11~), dh-lua (>= 21)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/keplerproject/luafilesystem
 Vcs-Git: https://salsa.debian.org/lua-team/lua-filesystem.git

=== debian/watch ===
version=4
# A typical upstream tag looks like v1_7_0 (which should be 1.7.0 in Debian),
# but if they releaes a luarocks-specific update then it looks like v1_7_0_2
# (which should be 1.7.0-2 in Debian). uscan can't handle this on its own, so
# just turn all _ to . and manually fix things later.
opts="filenamemangle=s%(?:.*?)?v?(\d[-._\d]*)\.tar\.gz%lua-filesystem-$1.tar.gz%, pgpmode=none, uversionmangle=s/_/./g" \
    https://github.com/keplerproject/luafilesystem/tags \
    (?:.*?/)?v?(\d[-._\d]*)\.tar\.gz

## lua-filesystem 1.9.0

=== debian/changelog ===
lua-filesystem (1.9.0-1) unstable; urgency=medium

  * New upstream version 1.9.0
  * update documentation directory

 -- Victor Seva <vseva@debian.org>  Mon, 26 Jan 2026 10:10:54 +0100

lua-filesystem (1.8.0-4) unstable; urgency=medium

  * Team upload
  * Correct Vcs-Browser URL
  * Drop lua5.2 support

 -- Bastian Germann <bage@debian.org>  Mon, 13 Oct 2025 23:43:18 +0200

lua-filesystem (1.8.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 10 Dec 2022 11:49:33 +0000

lua-filesystem (1.8.0-2) unstable; urgency=medium

  * Lua team as maintainer, me as uploader (Closes: #995508)

 -- Victor Seva <vseva@debian.org>  Mon, 20 Dec 2021 13:35:49 +0100
